#if !defined  HAVE_CHIRPZT_H__
#define       HAVE_CHIRPZT_H__

#include "fxttypes.h"
#include "complextype.h"


//: chirp z-transform

// chirpzt/fftarblen.cc: (arbitrary length fft)
void fft_arblen(Complex *f, ulong n, int is);

// chirpzt/fftfract.cc: (fractional fft)
void fft_fract(Complex *x, ulong n, double v);
void fft_fract(double *x, double *y, ulong n, double v);


// chirpzt/slowfracft.cc:
void slow_fract_ft(Complex *f, ulong n, double v);
void slow_fract_ft(double *fr, double *fi, ulong n, double v);

// chirpzt/slowzt.cc:
void slow_zt(Complex *f, ulong n, Complex z);
void slow_zt(double *f, ulong n, double z);


#endif  // !defined HAVE_CHIRPZT_H__
